#
# $Id: Makefile,v 1.2 2000/06/29 20:20:46 yamauchi Exp $
#	Makefile for R^2mark serial version
#	Copyright (C) 2000 YAMAUCHI Hitoshi »³Æâ ÀÆ
#
CP=cp
MAKE=make
CPPPROGRAM=mpi21PE
CPPMPI2SRC=../../C++/1PE/${CPPPROGRAM}
CPPDIR=./C++
JAVAMPI2SRC=
JAVADIR=./Java

all:
	@echo "Next command is available"
	@echo "	${MAKE} copyexec"
	@echo "	        copy R^2mark executables to the adequate place."
	@echo "	        (This needscopy R^2mark executables to the adequate place."
	@echo ""

#
# C++ version
#
${CPPDIR}/${CPPPROGRAM}	:
	${CP} ${CPPMPI2SRC} ${CPPDIR}/

#
# Java version
#
# ${JAVADIR}/Mpi2MPI :
#	${CP} ${JAVAMPI2SRC} ${JAVADIR}/


# ${JAVADIR}/Mpi2MPI
copyexec: ${CPPDIR}/${CPPPROGRAM}


#
# clean
#
clean :
	${RM} -f ${CPPDIR}/${CPPPROGRAM}


distclean :
	for dir in ${CPPDIR} ${JAVADIR}/ ;		\
	do						\
		(cd $${dir}; ${MAKE} cleanlogs;)	\
	done
